module TrailsHelper
  def osm_relation_url(osmid)
    "http://openstreetmap.org/relation/#{osmid}"
  end
  def navrh(*versions) # vrací false pokud nelze navrhnout nic
    selection = versions.collect{ |item| item.blank? ? nil : item }.uniq.compact
    if selection.size == 1 
      selection.first
    elsif selection.size == 0
      nil    # nelze nic navrhnout - žádné možnosti
    else
      false  # nelze nic navrhnout - různé možnosti
    end
  end
  
  ## návrh na hodnotu v html podobě vhodné do tabulky - class odpovídá tomu jak je návrh jistý. Jako první parametr očekává strávající hodnotu
  def td_navrh(*versions)
    navrh = navrh(*versions)
    if navrh.is_a? FalseClass
      orig = versions.shift
      if versions.include?(orig)
        "<td class=\"middle\">různé hodnoty</td>".html_safe
      else
        navrh2 = navrh(*versions)
        if navrh2.is_a? FalseClass
          "<td class=\"bad\">různé hodnoty</td>".html_safe
        else
          "<td class=\"middle2\">#{navrh2}</td>".html_safe
        end
      end
    else
      if versions.first.blank? and !navrh.blank?
        "<td class=\"good\">#{navrh}</td>".html_safe    
      else
        "<td class=\"done\">#{navrh}</td>".html_safe
      end
    end
  end
end
